package de.ugoe.cs.swe.exercises.lecturer;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;

public class LecturerLabelProvider extends LabelProvider implements
		ITableLabelProvider {
	public String getColumnText(Object obj, int index) {

		Lecturer lecturer = (Lecturer) obj;

		switch (index) {
		case 0:
			return lecturer.getTitle();
		case 1:
			return lecturer.getFirstName();
		case 2:
			return lecturer.getLastName();
		}

		return getText(obj);
	}

	public Image getColumnImage(Object obj, int index) {
		return null;
	}

	@Override
	public Image getImage(Object obj) {
		return PlatformUI.getWorkbench().getSharedImages().getImage(
				ISharedImages.IMG_OBJ_ELEMENT);
	}
}